Bug 172180 - Memory suspend for IBM Thinkpad no longer works for kernel 2.6.14-1.1633
Memory suspend for IBM Thinkpad no longer works for kernel 2.6.14-1.1633
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-01 00:11 EST by Brian G. Anderson
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-10 16:44:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 171648 None None None Never

  None (edit)
Description Brian G. Anderson 2005-11-01 00:11:39 EST
Description of problem:
echo mem > /sys/power/state no longer is able to suspend my T42P.

Version-Release number of selected component (if applicable):
2.6.14-1.1633_FC4 (from updates-testing)

How reproducible:

Steps to Reproduce:
1.Start system.
2.Issue as root:  'echo mem > /sys/power/state'
Actual results:
/var/log/messages contains:

kernel: Stopping Tasks:=====
kernel: stopping tasks failed (1 tasks remaining)
kernel: Restarting tasks...<6> Strange, kauditd not stopped

Expected results:
machine suspends

Additional info:
This same exact behavior occurs with the rawhide kernels and I have reported a
bug about this before (171648).  It seems that this is something introduced in
the 2.6.14 kernel.  I had perfect suspend behavior with the previous FC4 kernel:
Comment 1 Michal Jaegermann 2005-11-01 12:20:19 EST
I am seeing the same behaviour on Acer Travelmate 230 laptop, ii.e with 
2.6.14-1.1633_FC4 it abandons attempts to suspend in a very early stage.
This laptop does suspend with 2.6.13-1.1532_FC4; maybe not perfect but "good
Comment 2 Kevin Fenzi 2005-11-01 23:59:47 EST
I also see the same thing on my t42p. 

Sounds like kauditd is missing a call to try_todo_list();
Comment 3 Thomas M Steenholdt 2005-11-02 06:14:38 EST
Same on my ThinkPad T30...
Comment 4 Andrew Duggan 2005-11-03 22:07:02 EST
Adding Patch820: linux-2.6.14-kauditd-suspend.patch (from rawhide
kernel-2.6.14-1.1639_FC5) to the 2.6.14-1.1633_FC4 fixes this for me on FC4. 
Comment 5 Giuseppe Castagna 2005-11-04 14:54:19 EST
Same problme on my Thinkpad X40 ...
Comment 6 Kevin Fenzi 2005-11-07 14:42:51 EST
kernel 2.6.14-1.1636 from davej's testing repository at 


fixes this issue for me. 
Comment 7 Brian G. Anderson 2005-11-09 08:38:02 EST
kerne 2.6.14-1.1636_FC4 fixes this issue for me
Comment 8 Michal Jaegermann 2005-11-09 17:57:54 EST
It does return from a suspend with 2.6.14-1.1636_FC4 on a laptop mentioned in
comment #1 but it developed another trouble.  See bug #172808 for details.
I wonder if anybody else have seen something of that sort.
Comment 9 Dave Jones 2005-11-10 14:48:07 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 10 Thomas M Steenholdt 2005-11-10 15:02:35 EST
Working since 2.6.14-1.1636_FC4, 2.6.14-1.1637_FC4 included, on my system.
Comment 11 Brian G. Anderson 2005-11-11 18:07:20 EST
kernel 2.6.14-1.1637_FC4 also works for me.

Note You need to log in before you can comment on or make changes to this bug.